Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zmort.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 12537)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                         ***  MODULE p5zmort  ***
-   !! TOP :   PISCES Compute the mortality terms for phytoplankton
+   !! TOP :   PISCES-QUOTA Compute the mortality terms for phytoplankton
    !!======================================================================
    !! History :   1.0  !  2002     (O. Aumont)  Original code
@@ -14,6 +14,6 @@
    USE trc             !  passive tracers common variables 
    USE sms_pisces      !  PISCES Source Minus Sink variables
-   USE p4zlim
-   USE p5zlim          !  Phytoplankton limitation terms
+   USE p4zlim          !  Phytoplankton limitation terms (p4z)
+   USE p5zlim          !  Phytoplankton limitation terms (p5z)
    USE prtctl_trc      !  print control for debugging
 
@@ -21,15 +21,15 @@
    PRIVATE
 
-   PUBLIC   p5z_mort    
-   PUBLIC   p5z_mort_init    
+   PUBLIC   p5z_mort           ! Called from p4zbio.F90 
+   PUBLIC   p5z_mort_init      ! Called from trcini_pisces.F90 
 
    !! * Shared module variables
-   REAL(wp), PUBLIC :: wchln    !:
-   REAL(wp), PUBLIC :: wchlp   !:
-   REAL(wp), PUBLIC :: wchld   !:
-   REAL(wp), PUBLIC :: wchldm  !:
-   REAL(wp), PUBLIC :: mpratn   !:
-   REAL(wp), PUBLIC :: mpratp  !:
-   REAL(wp), PUBLIC :: mpratd  !:
+   REAL(wp), PUBLIC :: wchln   !! Quadratic mortality rate of nanophytoplankton
+   REAL(wp), PUBLIC :: wchlp   !: Quadratic mortality rate of picophytoplankton
+   REAL(wp), PUBLIC :: wchld   !: Quadratic mortality rate of diatoms
+   REAL(wp), PUBLIC :: wchldm  !: Maximum quadratic mortality rate of diatoms
+   REAL(wp), PUBLIC :: mpratn  !: Linear mortality rate of nanophytoplankton
+   REAL(wp), PUBLIC :: mpratp  !: Linear mortality rate of picophytoplankton
+   REAL(wp), PUBLIC :: mpratd  !: Linear mortality rate of diatoms
 
    !!----------------------------------------------------------------------
@@ -45,5 +45,5 @@
       !!                     ***  ROUTINE p5z_mort  ***
       !!
-      !! ** Purpose :   Calls the different subroutine to initialize and compute
+      !! ** Purpose :   Calls the different subroutine to compute
       !!                the different phytoplankton mortality terms
       !!
@@ -82,15 +82,17 @@
             DO ji = 1, jpi
                zcompaph = MAX( ( trb(ji,jj,jk,jpphy) - 1e-9 ), 0.e0 )
-               !   Squared mortality of Phyto similar to a sedimentation term during
-               !   blooms (Doney et al. 1996)
-               !   -----------------------------------------------------------------
+               ! Quadratic mortality of nano due to aggregation during
+               ! blooms (Doney et al. 1996)
+               ! -----------------------------------------------------
                zrespp = wchln * 1.e6 * xstep * xdiss(ji,jj,jk) * zcompaph * trb(ji,jj,jk,jpphy)
 
-               !   Phytoplankton linear mortality
-               !   ------------------------------
-               ztortp = mpratn * xstep  * zcompaph
+               ! Phytoplankton linear mortality
+               ! A michaelis-menten like term is introduced to avoid 
+               ! extinction of nanophyto in highly limited areas
+               ! ----------------------------------------------------
+               ztortp = mpratn * xstep  * zcompaphi * trb(ji,jj,jk,jpphy) /  ( xkmort + trb(ji,jj,jk,jpphy) )
                zmortp = zrespp + ztortp
 
-               !   Update the arrays TRA which contains the biological sources and sinks
+               ! Update the arrays TRA which contains the biological sources and sinks
 
                zfactn  = trb(ji,jj,jk,jpnph)/(trb(ji,jj,jk,jpphy)+rtrn)
@@ -103,6 +105,6 @@
                tra(ji,jj,jk,jpnch) = tra(ji,jj,jk,jpnch) - zmortp * zfactch
                tra(ji,jj,jk,jpnfe) = tra(ji,jj,jk,jpnfe) - zmortp * zfactfe
+               ! Production PIC particles due to mortality
                zprcaca = xfracal(ji,jj,jk) * zmortp
-               !
                prodcal(ji,jj,jk) = prodcal(ji,jj,jk) + zprcaca  ! prodcal=prodcal(nanophy)+prodcal(microzoo)+prodcal(mesozoo)
                !
@@ -151,15 +153,18 @@
             DO ji = 1, jpi
                zcompaph = MAX( ( trb(ji,jj,jk,jppic) - 1e-9 ), 0.e0 )
-               !  Squared mortality of Phyto similar to a sedimentation term during
-               !  blooms (Doney et al. 1996)
-               !  -----------------------------------------------------------------
+
+               ! Quadratic mortality of pico due to aggregation during
+               ! blooms (Doney et al. 1996)
+               ! -----------------------------------------------------
                zrespp = wchlp * 1.e6 * xstep * xdiss(ji,jj,jk) * zcompaph * trb(ji,jj,jk,jppic)
 
-               !     Phytoplankton mortality 
-               ztortp = mpratp * xstep  * zcompaph
+               ! Phytoplankton linear mortality
+               ! A michaelis-menten like term is introduced to avoid 
+               ! extinction of picophyto in highly limited areas
+               ! ----------------------------------------------------
+               ztortp = mpratp * xstep  * zcompaph * trb(ji,jj,jk,jppic) /  ( xkmort + trb(ji,jj,jk,jppic) )
                zmortp = zrespp + ztortp
 
                !   Update the arrays TRA which contains the biological sources and sinks
-
                zfactn = trb(ji,jj,jk,jpnpi)/(trb(ji,jj,jk,jppic)+rtrn)
                zfactp = trb(ji,jj,jk,jpppi)/(trb(ji,jj,jk,jppic)+rtrn)
@@ -225,7 +230,9 @@
                zrespp2 = 1.e6 * xstep * (  wchld + wchldm * zlim1 ) * xdiss(ji,jj,jk) * zcompadi * trb(ji,jj,jk,jpdia)
 
-               !  Phytoplankton linear mortality 
-               !  ------------------------------
-               ztortp2 = mpratd * xstep  * zcompadi
+               ! Phytoplankton linear mortality
+               ! A michaelis-menten like term is introduced to avoid 
+               ! extinction of diatoms in highly limited areas
+               !  ---------------------------------------------------
+               ztortp2 = mpratd * xstep  * zcompadi * trb(ji,jj,jk,jpdia) /  ( xkmort + trb(ji,jj,jk,jpdia) )
                zmortp2 = zrespp2 + ztortp2
 
@@ -273,22 +280,22 @@
       !!                  ***  ROUTINE p5z_mort_init  ***
       !!
-      !! ** Purpose :   Initialization of phytoplankton parameters
-      !!
-      !! ** Method  :   Read the nampismort namelist and check the parameters
+      !! ** Purpose :   Initialization of phytoplankton mortality parameters
+      !!
+      !! ** Method  :   Read the namp5zmort namelist and check the parameters
       !!      called at the first timestep
       !!
-      !! ** input   :   Namelist nampismort
+      !! ** input   :   Namelist namp5zmort
       !!
       !!----------------------------------------------------------------------
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      INTEGER :: ios   ! Local integer output status for namelist read
       !!
       NAMELIST/namp5zmort/ wchln, wchlp, wchld, wchldm, mpratn, mpratp, mpratd
       !!----------------------------------------------------------------------
 
-      REWIND( numnatp_ref )              ! Namelist nampismort in reference namelist : Pisces phytoplankton
+      REWIND( numnatp_ref )              ! Namelist namp5zmort in reference namelist : Pisces phytoplankton
       READ  ( numnatp_ref, namp5zmort, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp5zmort in reference namelist' )
 
-      REWIND( numnatp_cfg )              ! Namelist nampismort in configuration namelist : Pisces phytoplankton
+      REWIND( numnatp_cfg )              ! Namelist namp5zmort in configuration namelist : Pisces phytoplankton
       READ  ( numnatp_cfg, namp5zmort, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp5zmort in configuration namelist' )
Index: /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zprod.F90
===================================================================
--- /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 12536)
+++ /NEMO/branches/2019/dev_r11708_aumont_PISCES_QUOTA/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 12537)
@@ -238,5 +238,11 @@
       END DO
 
-      ! Computation of the various production terms of nanophytoplankton 
+      ! Computation of the various production and uptake terms of nanophytoplankton 
+      ! Interactions between N and P are modeled according to the Chain Model 
+      ! of Pahlow et al. (2009). Iron uptake is modeled following traditional
+      ! Droop kinetics. When the quota is approaching the maximum achievable
+      ! quota, uptake is downregulated according to a sigmoidal function 
+      ! (power 2), as proposed by Flynn (2003)
+      ! ---------------------------------------------------------------------------
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -245,9 +251,15 @@
                   !  production terms for nanophyto.
                   zprorcan(ji,jj,jk) = zprbio(ji,jj,jk)  * xlimphy(ji,jj,jk) * trb(ji,jj,jk,jpphy) * rfact2
-                  ! size computation
+
+                  ! Size computation
+                  ! Size is made a function of the limitation of of phytoplankton growth
+                  ! Strongly limited cells are supposed to be smaller. sizena is the 
+                  ! size at time step t+1 and is thus updated at the end of the 
+                  ! current time step
+                  ! --------------------------------------------------------------------
                   zlimfac = xlimphys(ji,jj,jk) * zprchln(ji,jj,jk) / ( zprmaxn(ji,jj,jk) + rtrn )
                   zsizetmp = 1.0 + 1.3 * ( xsizern - 1.0 ) * zlimfac**3/(0.3 + zlimfac**3)
                   sizena(ji,jj,jk) = min(xsizern, max( sizena(ji,jj,jk), zsizetmp ) )
-                  ! Nutrient uptake terms
+                  ! Maximum potential uptake rate
                   zration = trb(ji,jj,jk,jpnph) / ( trb(ji,jj,jk,jpphy) + rtrn )
                   zratiop = trb(ji,jj,jk,jppph) / ( trb(ji,jj,jk,jpphy) + rtrn )
@@ -261,5 +273,5 @@
                   zpronewn(ji,jj,jk) = zpronmax * xnanono3(ji,jj,jk)
                   zproregn(ji,jj,jk) = zpronmax * xnanonh4(ji,jj,jk)
-                  ! Uptake of phosphorus
+                  ! Uptake of phosphorus and DOP
                   zrat = 1.0 - MIN( 1., zratiop / (xqpnmax(ji,jj,jk) + rtrn) )
                   zmax = MAX(0., MIN(1., zrat**2 / (0.05**2 + zrat**2) ) )
@@ -279,5 +291,11 @@
       END DO
 
-      ! Computation of the various production terms of picophytoplankton 
+      ! Computation of the various production and uptake terms of picophytoplankton 
+      ! Interactions between N and P are modeled according to the Chain Model 
+      ! of Pahlow et al. (2009). Iron uptake is modeled following traditional
+      ! Droop kinetics. When the quota is approaching the maximum achievable
+      ! quota, uptake is downregulated according to a sigmoidal function 
+      ! (power 2), as proposed by Flynn (2003)
+      ! ---------------------------------------------------------------------------
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -287,8 +305,13 @@
                   zprorcap(ji,jj,jk) = zprpic(ji,jj,jk)  * xlimpic(ji,jj,jk) * trb(ji,jj,jk,jppic) * rfact2
                   ! Size computation
+                  ! Size is made a function of the limitation of of phytoplankton growth
+                  ! Strongly limited cells are supposed to be smaller. sizepa is
+                  ! size at time step t+1 and is thus updated at the end of the 
+                  ! current time step
+                  ! --------------------------------------------------------------------
                   zlimfac = zprchlp(ji,jj,jk)  * xlimpics(ji,jj,jk) / ( zprmaxp(ji,jj,jk) + rtrn )
                   zsizetmp = 1.0 + 1.3 * ( xsizerp - 1.0 ) * zlimfac**3/(0.3 + zlimfac**3)
                   sizepa(ji,jj,jk) = min(xsizerp, max( sizepa(ji,jj,jk), zsizetmp ) )
-                  ! Nutrient uptake
+                  ! Maximum potential uptake rate of nutrients
                   zration = trb(ji,jj,jk,jpnpi) / ( trb(ji,jj,jk,jppic) + rtrn )
                   zratiop = trb(ji,jj,jk,jpppi) / ( trb(ji,jj,jk,jppic) + rtrn )
@@ -320,5 +343,11 @@
       END DO
 
-      ! Computation of the various production terms of diatoms
+      ! Computation of the various production and uptake terms of diatoms
+      ! Interactions between N and P are modeled according to the Chain Model 
+      ! of Pahlow et al. (2009). Iron uptake is modeled following traditional
+      ! Droop kinetics. When the quota is approaching the maximum achievable
+      ! quota, uptake is downregulated according to a sigmoidal function 
+      ! (power 2), as proposed by Flynn (2003)
+      ! ---------------------------------------------------------------------------
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -327,9 +356,14 @@
                   !  production terms for diatomees
                   zprorcad(ji,jj,jk) = zprdia(ji,jj,jk) * xlimdia(ji,jj,jk) * trb(ji,jj,jk,jpdia) * rfact2
-                  ! size computation
+                  ! Size computation
+                  ! Size is made a function of the limitation of of phytoplankton growth
+                  ! Strongly limited cells are supposed to be smaller. sizeda is
+                  ! size at time step t+1 and is thus updated at the end of the 
+                  ! current time step. 
+                  ! --------------------------------------------------------------------
                   zlimfac = zprchld(ji,jj,jk) * xlimdias(ji,jj,jk) / ( zprmaxd(ji,jj,jk) + rtrn )
                   zsizetmp = 1.0 + 1.3 * ( xsizerd - 1.0 ) * zlimfac**3/(0.3 + zlimfac**3)
                   sizeda(ji,jj,jk) = min(xsizerd, max( sizeda(ji,jj,jk), zsizetmp ) )
-                  ! Nutrient uptake
+                  ! Maximum potential uptake rate of nutrients
                   zration = trb(ji,jj,jk,jpndi) / ( trb(ji,jj,jk,jpdia) + rtrn )
                   zratiop = trb(ji,jj,jk,jppdi) / ( trb(ji,jj,jk,jpdia) + rtrn )
@@ -361,4 +395,7 @@
       END DO
 
+      ! Production of Chlorophyll. The formulation proposed by Geider et al.
+      ! is adopted here.
+      ! --------------------------------------------------------------------
       DO jk = 1, jpkm1
          DO jj = 1, jpj
@@ -375,5 +412,5 @@
                   zprochlp = thetanpm * zprod / ( zpislopeadp(ji,jj,jk) * zpicotot + rtrn )
                   zprochlp = MAX(zprochlp, chlcmin * 12. * zprorcap(ji,jj,jk) )
-                  !  production terms for diatomees ( chlorophyll )
+                  !  production terms for diatoms ( chlorophyll )
                   zdiattot = ediatm(ji,jj,jk) / ( zmxl_chl(ji,jj,jk) + rtrn )
                   zprod = rday * (zpronewd(ji,jj,jk) + zproregd(ji,jj,jk)) * zprchld(ji,jj,jk) * xlimdia(ji,jj,jk)
@@ -454,5 +491,10 @@
         END DO
      END DO
-     !
+     
+     ! Production and uptake of ligands by phytoplankton. This part is activated 
+     ! when ln_ligand is set to .true. in the namelist. Ligand uptake is small 
+     ! and based on the FeL model by Morel et al. (2008) and on the study of
+     ! Shaked and Lis (2012)
+     ! -------------------------------------------------------------------------
      IF( ln_ligand ) THEN
          zpligprod1(:,:,:) = 0._wp    ;    zpligprod2(:,:,:) = 0._wp
@@ -463,14 +505,12 @@
                  zfeup    = texcretn * zprofen(ji,jj,jk) + texcretd * zprofed(ji,jj,jk) + texcretp * zprofep(ji,jj,jk)
                  tra(ji,jj,jk,jplgw) = tra(ji,jj,jk,jplgw) + zdocprod * ldocp    &
-                 &       - zfeup * plig(ji,jj,jk) / ( rtrn + plig(ji,jj,jk) + 2.E3 * (1.0 - plig(ji,jj,jk) ) )
+                 &       - zfeup * plig(ji,jj,jk) / ( rtrn + plig(ji,jj,jk) + 2.E3 * (1.0 - plig(ji,jj,jk) ) ) * lthet
                  zpligprod1(ji,jj,jk) = zdocprod * ldocp
-                 zpligprod2(ji,jj,jk) = zfeup * plig(ji,jj,jk) * lthet
+                 zpligprod2(ji,jj,jk) = zfeup * plig(ji,jj,jk) / ( rtrn + plig(ji,jj,jk) &
+                 &                      + 2.E3 * (1.0 - plig(ji,jj,jk) ) ) * lthet
               END DO
            END DO
         END DO
      ENDIF
-
-
-     ! Total primary production per year
 
     ! Total primary production per year
@@ -490,5 +530,5 @@
               CALL iom_put( "PPPHYP"  , zw3d )
               !
-              zw3d(:,:,:) = zprorcad(:,:,:) * zfact * tmask(:,:,:)  ! primary production by diatomes
+              zw3d(:,:,:) = zprorcad(:,:,:) * zfact * tmask(:,:,:)  ! primary production by diatoms
               CALL iom_put( "PPPHYD"  , zw3d )
           ENDIF
@@ -500,5 +540,5 @@
               CALL iom_put( "PPNEWP"  , zw3d )
               !
-              zw3d(:,:,:) = zpronewd(:,:,:) * zfact * tmask(:,:,:)  ! new primary production by diatomes
+              zw3d(:,:,:) = zpronewd(:,:,:) * zfact * tmask(:,:,:)  ! new primary production by diatoms
               CALL iom_put( "PPNEWD"  , zw3d )
           ENDIF
@@ -508,20 +548,20 @@
           ENDIF
           IF( iom_use( "PFeN" ) .OR. iom_use( "PFeD" ) .OR. iom_use( "PFeP" ) )  THEN
-              zw3d(:,:,:) = zprofen(:,:,:) * zfact * tmask(:,:,:)  ! biogenic iron production by nanophyto
+              zw3d(:,:,:) = zprofen(:,:,:) * zfact * tmask(:,:,:)  ! biogenic iron uptake by nanophyto
               CALL iom_put( "PFeN"  , zw3d )
               !
-              zw3d(:,:,:) = zprofep(:,:,:) * zfact * tmask(:,:,:)  ! biogenic iron production by picophyto
+              zw3d(:,:,:) = zprofep(:,:,:) * zfact * tmask(:,:,:)  ! biogenic iron uptake by picophyto
               CALL iom_put( "PFeP"  , zw3d )
               !
-              zw3d(:,:,:) = zprofed(:,:,:) * zfact * tmask(:,:,:)  ! biogenic iron production by  diatomes
+              zw3d(:,:,:) = zprofed(:,:,:) * zfact * tmask(:,:,:)  ! biogenic iron uptake by  diatoms
               CALL iom_put( "PFeD"  , zw3d )
           ENDIF
           IF( iom_use( "LPRODP" ) )  THEN
               zw3d(:,:,:) = zpligprod1(:,:,:) * 1e9 * zfact * tmask(:,:,:)
-              CALL iom_put( "LPRODP"  , zw3d )
+              CALL iom_put( "LPRODP"  , zw3d )  ! Ligand production by phytoplankton
           ENDIF
           IF( iom_use( "LDETP" ) )  THEN
               zw3d(:,:,:) = zpligprod2(:,:,:) * 1e9 * zfact * tmask(:,:,:)
-              CALL iom_put( "LDETP"  , zw3d )
+              CALL iom_put( "LDETP"  , zw3d )  ! Uptake of ligands by phytoplankton
           ENDIF
           IF( iom_use( "Mumax" ) )  THEN
@@ -540,11 +580,11 @@
           ENDIF
           IF( iom_use( "LNlight" ) .OR. iom_use( "LDlight" ) .OR. iom_use( "LPlight" ) )  THEN
-              zw3d(:,:,:) = zprbio (:,:,:) / (zprmaxn(:,:,:) + rtrn) * tmask(:,:,:) ! light limitation term
+              zw3d(:,:,:) = zprbio (:,:,:) / (zprmaxn(:,:,:) + rtrn) * tmask(:,:,:) ! light limitation term of nanophytoplankton
               CALL iom_put( "LNlight"  , zw3d )
               !
-              zw3d(:,:,:) = zprpic (:,:,:) / (zprmaxp(:,:,:) + rtrn) * tmask(:,:,:) ! light limitation term
+              zw3d(:,:,:) = zprpic (:,:,:) / (zprmaxp(:,:,:) + rtrn) * tmask(:,:,:) ! light limitation term of picophytoplankton
               CALL iom_put( "LPlight"  , zw3d )
               !
-              zw3d(:,:,:) =  zprdia (:,:,:) / (zprmaxd(:,:,:) + rtrn) * tmask(:,:,:)  ! light limitation term
+              zw3d(:,:,:) =  zprdia (:,:,:) / (zprmaxd(:,:,:) + rtrn) * tmask(:,:,:)  ! light limitation term of diatoms
               CALL iom_put( "LDlight"  , zw3d )
           ENDIF
@@ -556,5 +596,5 @@
               CALL iom_put( "MunetP"  , zw3d )
               !
-              zw3d(:,:,:) = zcroissd(:,:,:) * tmask(:,:,:) ! ! Realized growth rate for diatomes
+              zw3d(:,:,:) = zcroissd(:,:,:) * tmask(:,:,:) ! ! Realized growth rate for diatoms
               CALL iom_put( "MunetD"  , zw3d )
               !
@@ -584,10 +624,10 @@
       !! ** Purpose :   Initialization of phytoplankton production parameters
       !!
-      !! ** Method  :   Read the nampisprod namelist and check the parameters
+      !! ** Method  :   Read the namp5zprod namelist and check the parameters
       !!      called at the first timestep (nittrc000)
       !!
-      !! ** input   :   Namelist nampisprod
+      !! ** input   :   Namelist namp5zprod
       !!----------------------------------------------------------------------
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      INTEGER :: ios    ! Local integer output status for namelist read
       !!
       NAMELIST/namp5zprod/ pislopen, pislopep, pisloped, excretn, excretp, excretd,     &
@@ -595,9 +635,9 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnatp_ref )              ! Namelist nampisprod in reference namelist : Pisces phytoplankton production
+      REWIND( numnatp_ref )              ! Namelist namp5zprod in reference namelist : Pisces phytoplankton production
       READ  ( numnatp_ref, namp5zprod, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp5zprod in reference namelist' )
 
-      REWIND( numnatp_cfg )              ! Namelist nampisprod in configuration namelist : Pisces phytoplankton production
+      REWIND( numnatp_cfg )              ! Namelist namp5zprod in configuration namelist : Pisces phytoplankton production
       READ  ( numnatp_cfg, namp5zprod, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp5zprod in configuration namelist' )
